/*
 ASR AI settings
 this file must be found in <game folder>\userconfig\asr_ai\
 for most settings, 0 = disabled, 1 = enabled (default)
 for each feature setting below to take effect,
 it has to have the comment (//) lines removed
*/

asr_ai_sys_airearming_feature = 1;

	/* Mission makers can control these features by setting these global variables in init.sqf
	the asr_ai_sys_airearming_* settings matter only if asr_ai_sys_airearming_feature is 1 */

	/* Enable rearming at mission start */
	asr_ai_sys_airearming_run = 1;

	/* Rearming search radius - how far will AI go to grab stuff */
	asr_ai_sys_airearming_radius = 50;

	/* Civilians will try to arm themselves */
	asr_ai_sys_airearming_civ = 0;

	/* Units will take handguns */
	asr_ai_sys_airearming_sidearm = 1;

	/* Units will take binoculars */
	asr_ai_sys_airearming_binocs = 1;

	/* List of secondary weapons that any unit may take.
	Other launchers not in this list will only be picked by specialists */
	asr_ai_sys_airearming_launchers = [
		"M136","RPG7V","RPG18","SMAW","MAAWS",
		"cwr2_AT4","cwr2_CarlGustav","cwr2_LAW","cwr2_RPG7","cwr2_RPG75",
		"ACE_M136_CSRS","ACE_RPG7V_PGO7","ACE_M72A2","ACE_M72","ACE_RPG22","ACE_RPG27","ACE_RPOM","ACE_RSHG1","ACE_RMG"
	];

	/* list of frag grenades that units will look for */
	asr_ai_sys_airearming_grenades = [
		"HandGrenade_West","HandGrenade_East","HandGrenade","BAF_L109A1_HE",
		"ACE_DM51","ACE_DM51A1"
	];

	/* list of smoke grenades that units will look for */
	asr_ai_sys_airearming_smokes = [
		"SmokeShell","SmokeShellGreen","SmokeShellRed","SmokeShellYellow","SmokeShellPurple","SmokeShellBlue","SmokeShellOrange",
		"ACE_M34","ACE_RDG2","ACE_RDGM","ACE_DM25","ACE_DM31","ACE_DM32","ACE_DM33","ACE_DM34","ACE_DM36","ACE_M15"
	];


/* The asr_ai_sys_aiskill_* settings are only checked once and matter only if asr_ai_sys_aiskill_feature is 1 */
asr_ai_sys_aiskill_feature = 1;

	/* Enable for civilians */
	asr_ai_sys_aiskill_civ = 0;

	/* AI groups share known enemy locations over radio */
	asr_ai_sys_aiskill_radionet = 1;

	/* Maximum range for radios */
	asr_ai_sys_aiskill_radiorange = 700;

	/* Spotting range night reduction coeficient */
	asr_ai_sys_aiskill_nightspotting = 0.5;

	/* Gunshot hearing range coeficient (applied to shooter's weapon sound range)
	Set to 0 to disable this feature */
	asr_ai_sys_aiskill_gunshothearing = 1;

	/* Chance the AI group will search nearby buildings when in combat mode (0 to 1 values)
	Set to 0 to disable this feature */
	asr_ai_sys_aiskill_buildingsearching = 0.8;

	/* Force UP stance (value: 1, default) when doing the house search
	or let AI choose automatically (value: 0) */
	asr_ai_sys_aiskill_buildingsearching_always_stand = 1;

	/* AI throws smoke when hit */
	asr_ai_sys_aiskill_throwsmoke = 1;

	/* Dynamic dedicated server viewdistance adjustment */
	asr_ai_sys_aiskill_serverdvd = 1;

	/* Configure AI skills based on their unit type (faction, training etc.) */
	asr_ai_sys_aiskill_setskills = 1;

	/* By default skill levels between 1 and 10 are used;
	8 and 9 are special skillsets for pilots, not so great infantry combat skills but good spotting
	level 10 is also a special level for trained snipers
	Defaults listed below, to change, simply edit the values: */

	asr_ai_sys_aiskill_sets = [
/* 0 (perfect) */ ["aimingAccuracy",[1.00,0.00],"aimingShake",[1.00,0.00],"aimingSpeed",[1.00,0.00],"spotDistance",[1.00,0.00],"spotTime",[1.00,0.00],"general",[1.00,0.00]],
/* 1 (sf 1)    */ ["aimingAccuracy",[0.70,0.10],"aimingShake",[0.70,0.10],"aimingSpeed",[0.70,0.10],"spotDistance",[0.70,0.10],"spotTime",[0.70,0.10],"general",[0.80,0.20]],
/* 2 (sf 2)    */ ["aimingAccuracy",[0.60,0.10],"aimingShake",[0.60,0.10],"aimingSpeed",[0.60,0.10],"spotDistance",[0.60,0.10],"spotTime",[0.60,0.10],"general",[0.70,0.20]],
/* 3 (reg 1)   */ ["aimingAccuracy",[0.50,0.10],"aimingShake",[0.50,0.10],"aimingSpeed",[0.50,0.10],"spotDistance",[0.50,0.10],"spotTime",[0.50,0.10],"general",[0.60,0.20]],
/* 4 (reg 2)   */ ["aimingAccuracy",[0.40,0.10],"aimingShake",[0.40,0.10],"aimingSpeed",[0.40,0.10],"spotDistance",[0.40,0.10],"spotTime",[0.40,0.10],"general",[0.50,0.20]],
/* 5 (ins 1)   */ ["aimingAccuracy",[0.30,0.10],"aimingShake",[0.30,0.10],"aimingSpeed",[0.30,0.10],"spotDistance",[0.30,0.10],"spotTime",[0.30,0.10],"general",[0.40,0.20]],
/* 6 (ins 2)   */ ["aimingAccuracy",[0.20,0.10],"aimingShake",[0.20,0.10],"aimingSpeed",[0.20,0.10],"spotDistance",[0.20,0.10],"spotTime",[0.20,0.10],"general",[0.30,0.20]],
/* 7 (civ)     */ ["aimingAccuracy",[0.10,0.10],"aimingShake",[0.10,0.10],"aimingSpeed",[0.10,0.10],"spotDistance",[0.10,0.10],"spotTime",[0.10,0.10],"general",[0.20,0.20]],
/* 8 (pilot 1) */ ["aimingAccuracy",[0.30,0.10],"aimingShake",[0.30,0.10],"aimingSpeed",[0.30,0.10],"spotDistance",[0.70,0.10],"spotTime",[0.70,0.10],"general",[0.60,0.20]],
/* 9 (pilot 2) */ ["aimingAccuracy",[0.20,0.10],"aimingShake",[0.20,0.10],"aimingSpeed",[0.20,0.10],"spotDistance",[0.60,0.10],"spotTime",[0.60,0.10],"general",[0.50,0.20]],
/* 10 (sniper) */ ["aimingAccuracy",[0.90,0.10],"aimingShake",[0.90,0.10],"aimingSpeed",[0.90,0.10],"spotDistance",[0.90,0.10],"spotTime",[0.90,0.10],"general",[0.80,0.20]]
	];

	/* Add class names below to override their assigned skill set */

	asr_ai_sys_aiskill_levels_units = [
/* 0 (perfect) */ [],
/* 1 (sf 1)    */ ["sf_18d","sf_18c","sf_18z","sf_18b","sf_18e","sf_18a"],
/* 2 (sf 2)    */ ["ibr_mutant"],
/* 3 (reg 1)   */ ["bink_usmc_tl","bink_usmc_sl","bink_usmc_dmr","bink_usmc_scout","bink_usmc_scout_l","bink_usmc_tl_des","bink_usmc_sl_des","bink_usmc_dmr_des","bink_usmc_scout_des","bink_usmc_scout_l_des","rb_teamleader"],
/* 4 (reg 2)   */ ["ibr_bodyguard"],
/* 5 (ins 1)   */ ["ibr_arl_officer","ibr_arl_sniper","ibr_arl_sab"],
/* 6 (ins 2)   */ ["ibr_rebel11","ibr_rebel83","ibr_rebel111","ibr_rebel125","ibr_rebel132","ibr_rebel145","ibr_rebel151","ibr_arl_rif","ibr_arl_rif2","ibr_arl_mg","ibr_arl_ar","ibr_arl_at","ibr_arl_aa","ibr_arl_crew","ibr_arl_medic","ibr_drg_man1"],
/* 7 (civ)     */ ["ibr_arl_stoner1"],
/* 8 (pilot 1) */ [],
/* 9 (pilot 2) */ ["ibr_arl_pilot"],
/* 10 (sniper) */ []
	];
